<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTransaksiGadaiTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */

     protected $connection = 'mysql7';

    public function up()
    {
        Schema::create('transaksi_gadai', function (Blueprint $table) {
            $table->id();
            $table->string('kodcaw', 10);
            $table->string('norujukan', 50);
            $table->decimal('bakipjm', 9, 2);
            $table->decimal('tempoh', 9, 2);
            $table->date('t_update');
            $table->decimal('bakihargajualan', 9, 2);
            $table->decimal('tempohbayar', 9, 2);
            $table->integer('lelong_tawarruq');
            $table->decimal('margin_semasa', 9, 2);
            $table->decimal('tunggakanujrah', 9, 2);
            $table->decimal('tunggakanonepercent', 9, 2);
            $table->decimal('percentpinj', 9, 2);
            $table->integer('transaction_id');
            $table->integer('transaksiupah_id');
            $table->integer('softDelete');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('transaksi_gadai');
    }
}
